Description

Supportanfrage

Mein aktuelles Vorhaben ist ADTF 2.x Uber einen Python Skript zu steuern wie im SDK (Demo Extended Python Project). Mir ist
dabei wichtig das die ADTF Instanz gedffnet bleibt, und nicht wie bei einer Batch Datei immer wieder neu geoffnet wird.

In der gedffneten ADTF Instanz méchte ich dann eine beliebige Anzahl an .dat-Files abspielen und Gber den Message Bus an den
CarMaker senden, welcher flr jedes .dat-File einen Export machen soll. Anbei eine schematische Darstellung:

Load .dat

Status

Der Ablauf sollte dann folgender sein: (Einmalig: ADTF 6ffnen, CarMaker 6ffnen,) ADTF Iadt das .dat-File, CarMaker Start, ADTF
Start. Wenn ADTF das erste .dat-File durchgespielt hat, stoppt der CarMaker und macht den Export, ADTF Iadt ein neues .dat-File
und dann beginnt es wieder von vorne.

Den CarMaker kann ich tber Python steuern, das ist kein Problem. Ich habe die Demos aus dem SDK schon ausprobiert, das hat
alles funktioniert. Als ich dann aber ein GUI miteinbauen wollte ging das nicht, deshalb meine Frage: Kann ich aus einem Python
Skript welcher ADTF steuert auch andere Programme steuern? Oder gibt es noch andere Méglichkeiten?

Lésung

Mir sind keine Limitierungen bekannt, alles was in Python geht, kannst du hier auch machen.
ADTF hat darauf keinen Einfluss, deshalb bin ich mir nicht sicher, wie wir dir hier explizit helfen kdnnen.

History

#1 - 2019-08-05 11:27 - hidden

- Project changed from Public Support to 11
- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::Python

- Customer set to AUDI

- Department set to EF
#2 - 2019-08-05 11:34 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Patrick,

mir sind keine Limitierungen bekannt, alles was in Python geht, kannst du hier auch machen.

ADTF hat darauf keinen Einfluss, deshalb bin ich mir nicht sicher, wie wir dir hier explizit helfen kénnen.

#3 - 2019-08-12 10:39 - hidden

- Subject changed from Python Automatisierung ADTF und CarMaker (IPG) to Control ADTF and CarMaker using Python

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

#4 - 2020-07-07 12:42 - hidden
- Project changed from 11 to Public Support

- Private changed from Yes to No

#5 - 2020-07-07 12:45 - hidden
- Status changed from To Be Closed to Closed

Files

image001.png 10 KB

2024-04-19

2019-08-05

22

hidden


http://www.tcpdf.org

